io.vertx.openapi.validation.transformer

## Class MultipartFormTransformer

- java.lang.Object
- - io.vertx.openapi.validation.transformer.MultipartFormTransformer

- All Implemented Interfaces:
    BodyTransformer

      public class MultipartFormTransformer
      extends Object
      implements BodyTransformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartFormTransformer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `transformRequest(MediaType type, ValidatableRequest request)` Transforms the body of a request into a format that can be validated by the `RequestValidator`.
    `Object` | `transformResponse(MediaType type, ValidatableResponse response)` Transforms the body of a response into a format that can be validated by the `ResponseValidator`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipartFormTransformer

          public MultipartFormTransformer()

  - ### Method Detail

    - #### transformRequest

          public Object transformRequest(MediaType type,
                                         ValidatableRequest request)

      Description copied from interface: `BodyTransformer`
      Transforms the body of a request into a format that can be validated by the `RequestValidator`.
      Specified by:
        `transformRequest` in interface `BodyTransformer`
      Parameters:
        `type` - the media type of the body.
        `request` - the request with the body to transform.
      Returns:
        the transformed body.

    - #### transformResponse

          public Object transformResponse(MediaType type,
                                          ValidatableResponse response)

      Description copied from interface: `BodyTransformer`
      Transforms the body of a response into a format that can be validated by the `ResponseValidator`.
      Specified by:
        `transformResponse` in interface `BodyTransformer`
      Parameters:
        `type` - the media type of the body.
        `response` - the response with the body to transform.
      Returns:
        the transformed body.

Copyright © 2025 Eclipse. All rights reserved.